.calculator {
    background-color: #fff;
    margin: 10px 0;
    padding: 0;
}

.calculator .zebra {
    background: #cccccc50;
}

.calculator .crow {
    display: flex;
    padding: 10px;
    margin-bottom: 5px;
}

.calculator .col6 {
    flex: 50%;
}

.calculator input {
    border: 1px solid #ddd;
    border-radius: 5px;
    outline: none;
    padding: 5px;
}

.calculator .typePayment {
    display: flex;
    justify-content: flex-start;
}

.calculator .typePayment label {
    border: 1px solid #ccc;
    border-radius: 3px;
    background: #fff;
    padding: 5px 10px;
    margin-right: 5px;
    cursor: pointer;
    transition: 0.5s;
}

.calculator .select {
    background: #ccc !important;
}

.calculator .desc {
    color: #777;
    font-style: italic;
}

.calculator .start {
    border: 1px solid #ddd;
    border-radius: 5px;
    padding: 5px 10px;
    cursor: pointer;
    transition: 0.5s;
}

.calculator .start:hover {
    background: #090dff11;
    border: 1px solid #090dff6b;
}

.calcError {
    color: #d10000b0;
    font-weight: bold;
    background-color: #fff;
    padding: 10px;
    border: 2px solid #d10000b0;
    border-radius: 3px;
    margin: 10px 0;
}

.calcResult .eRow {
    display: flex;
    border-bottom: 1px solid #ccc;
    transition: 0.5s;
}

.calcResult .eRow:hover {
    background-color: #eee;
}

.eRow .e-10 {
    flex: 10%;
    padding: 10px;
}

.eRow .e-15 {
    flex: 15%;
    padding: 10px;
}

.eRow .e-20 {
    flex: 20%;
    padding: 10px;
}

.eRow .e-30 {
    flex: 30%;
    text-align: left;
    padding: 10px;
}

.eRow .e-40 {
    flex: 40%;
    padding: 10px;
}

.eRow .e-45 {
    flex: 45%;
    padding: 10px;
}

.eRow .e-60 {
    flex: 60%;
    padding: 10px;
}

.eRow .e-90 {
    flex: 90%;
    padding: 10px;
}

.ep-0 {
    padding: 0 !important;
}

.eGreen {
    background-color: #4b59d211;
}

.eYll {
    background-color: #2035e71f;
}

.eCenter {
    display: flex;
    align-items: center;
    justify-content: center;
}

.eRight {
    text-align: right;
}

.eBold {
    font-weight: bold;
}

.eInvert {
    background-color: #8079d1;
    color: #fff;
    border: 0 !important;
}

.eInvert:hover {
    background-color: rgb(51, 51, 51) !important;
}

.str2 {
    display: flex;
    justify-content: space-around;
}


@media (max-width: 600px) {
    .eGreen {
        display: none;
    }

    .str2 {
        display: block;
    }

    .crow{
        flex-direction: column;
    }

    .col6 {
        margin-bottom: 5px;
    }

    .typePayment{
        justify-content: space-evenly !important;
    }

    .calculator .desc {
        float: right;
    }

    input[type='text']{
        width: 100%;
    }

}